#!/bin/sh

set -e

TESTS=*_test.py
TESTS="$TESTS netsim_demo.py"
SCRIPTS=*.py

for i in $TESTS; do
    if ! ./$i; then
        echo "$i failed!" > /dev/stderr
        exit 1
    fi
done

for i in *.py; do
    if ! pychecker --only ./$i; then
        echo "$i failed!" > /dev/stderr
        exit 1
    fi
done

echo "PASSED"
